/* latin */
@font-face {
    font-family: 'Orbitron';
    font-style: normal;
    font-weight: 400 900;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/orbitron/v35/yMJRMIlzdpvBhQQL_Qq7dy1biN15.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */
@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/outfit/v15/QGYvz_MVcBeNP4NJuktqUYLkn8BJ.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */
@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/outfit/v15/QGYvz_MVcBeNP4NJtEtqUYLknw.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* 
 * GENERAL
 *  */
:root {
    --font-primary: 'Orbitron';
    --font-secondary: 'Outfit';

    --primary: #474747;
    --secondary: #D0E1E5;
    --accent: #E03C41;
    --clr-text: #798080;

    --clr-button__bg: #252f52;
    --clr-button__txt: #f9f9e3;
    --clr-button__bg-hover: #faf7e2;
    --clr-button__txt-hover: #162c39;
    --clr-button--outline: #252f52;

    --card-bd-radius: 1rem;
    --spacer: 1.5rem;
    --transition-cubic: 0.2s cubic-bezier(0, 0, 0.3642, 1);
}

html {
    font-size: 10px;
}

body {
    overflow: hidden;
    font-family: var(--font-secondary);
    font-size: 1.4rem;
    font-weight: 300;
    line-height: 1.7;
    color: var(--clr-text);
    background-color: #000;
    padding: 0;
    margin: 0;
}

:where(h1, h2, h3, h4, h5, .h1, .h2, .h3, .h4, .h5) {
    font-family: var(--font-primary);
    font-weight: 700;
    line-height: 1.25;
    color: var(--primary);
}

h1,
.h1 {
    font-size: 2.8rem;
}

h2,
.h2 {
    font-size: 2rem;
}

h3,
.h3 {
    font-size: 1.6rem;
}

h4,
.h4 {
    font-size: 1.5rem;
}

h5,
.h5 {
    font-size: 1.4rem;
    font-weight: 600;
}

section,
.section {
    padding-inline: 3rem;
    margin-block: 8rem;
}

.container {
    width: 940px;
    max-width: 100%;
    margin-inline: auto;
}

.button {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 59px;
    min-width: 188px;
    width: max-content;
    font-size: 16px;
    text-align: center;
    color: var(--clr-button__txt);
    background-color: var(--clr-button__bg);
    border: 1px solid var(--clr-button__bg);
    transition: all .3s ease-in-out;
}

.button.outline {
    --main-clr: var(--clr-button--outline);

    color: var(--main-clr);
    border-color: var(--main-clr);
    background-color: transparent;
}

.button svg path {
    stroke: currentColor;
}

.button:hover {
    color: var(--clr-text);
    background-color: var(--clr-button__bg-hover);
    border-color: var(--clr-button__bg-hover);
}

a {
    text-decoration: none;
}

a.link {
    position: relative;
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.15rem;
    text-transform: uppercase;
    white-space: nowrap;
    color: var(--clr-text);
    width: max-content;
    transition: var(--transition-cubic);
}

a.link::before {
    content: "";
    height: 0.15rem;
    width: 0;
    background-color: var(--accent);
    position: absolute;
    bottom: -0.2rem;
    left: 0;
    transition: var(--transition-cubic);
}

a.link:hover::before {
    width: 100%;
}

a.link:hover {
    color: var(--primary);
}

.card-list {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacer);
}

.card {
    flex: 0 0 100%;
    padding: 3rem;
    border-radius: 0.5rem;
    background-color: #D0E1E5;
    border: solid 0.1rem rgba(197, 214, 219, 0.2);
}

.card-title {
    margin-bottom: 2rem;
}

.card-badge {
    min-height: 3rem;
    height: max-content;
    display: inline-flex;
    align-items: center;
    border-radius: 0.5rem;
    padding: 0 1.5rem;
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.15rem;
    text-transform: uppercase;
    white-space: nowrap;
    transition: 0.2s cubic-bezier(0, 0, 0.3642, 1);
    background-color: #C5D6DB;
    color: var(--primary);
    margin-bottom: 2.3rem;
}

.item-counter {
    counter-reset: itemCount;
}

.item-counter-increment {
    counter-increment: itemCount;
}

.item-counter-content::before {
    content: counter(itemCount, decimal-leading-zero) ". ";
    font: inherit;
    font-family: var(--font-primary);
    color: var(--accent);
}

.section-counter {
    counter-reset: sectionCount;
}

.section-counter-increment {
    counter-increment: sectionCount;
}

.section-counter-content::before {
    content: counter(sectionCount, decimal-leading-zero);
    font-family: var(--font-primary);
    line-height: 100%;
    color: #C5D6DB;
}

.hidden {
    display: none !important;
}

@media (min-width: 1401px) {

    section,
    .section {
        padding-inline: 9rem;
    }

    .container {
        width: 820px;
    }
}

@media (max-width: 991px) {

    section,
    .section {
        padding-inline: 2.4rem;
    }
}

@media (max-width: 768px) {

    h2,
    .h2 {
        font-size: 2.2rem;
    }

    h3,
    .h3 {
        font-size: 1.8rem;
    }
}

/*  */



body>.wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    /* width: 100%; */
    height: 100vh;
    padding: var(--spacer);
}

#sidebar {
    --size: 90px;

    width: var(--size);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    row-gap: var(--spacer);
    border-radius: var(--card-bd-radius);
    z-index: 999;
}

#sidebar .branding {
    width: var(--size);
    height: var(--size);
    background-color: var(--accent);
    border-radius: var(--card-bd-radius);
    font-family: "clesmont", sans-serif;
    color: #E9F1F4;
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-cubic);
}

#sidebar .nav-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    /* padding-bottom: 15rem; */
    height: calc(100% - var(--size) + var(--spacer));
    background-color: #E9F1F4;
    border: solid 0.1rem rgba(197, 214, 219, 0.2);
    border-radius: var(--card-bd-radius);
}

#sidebar .menu {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    width: max-content;
    margin: auto;
    transform: translateY(-25%);
}

#sidebar .menu li:not(:last-child) {
    margin-bottom: 3rem;
}

#sidebar .menu .nav-link {
    font-size: 1.4rem;
    text-decoration: none;
    color: var(--primary);
    position: relative;
    display: flex;
    align-items: center;
}

#sidebar .menu .nav-link i {
    font-size: 1.8rem;
}

#sidebar .menu .nav-link span {
    pointer-events: none;
    display: flex;
    align-items: center;
    opacity: 0;
    display: block;
    transform: translateX(5rem) scale(0.6);
    position: absolute;
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.15rem;
    text-transform: uppercase;
    background-color: #C5D6DB;
    white-space: nowrap;
    padding: 0 1rem;
    border-radius: 0.2rem;
    filter: blur(1rem);
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
    transition: var(--transition-cubic);
    transition-delay: 0s;
}

.main {
    width: calc(100% - 10.5rem);
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
}

.main-inner {
    overflow: hidden;
    /* width: calc(50% - 0.75rem); */
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: var(--card-bd-radius);
    z-index: 2;
}

.main-inner--left {
    display: none;
}

.main-inner--right__container {
    height: 100%;
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.main-inner--right__container::-webkit-scrollbar {
    display: none;
}

.main-inner--right__content {
    overflow: hidden;
    background-color: #E9F1F4;
    border-radius: var(--card-bd-radius);
    min-height: 100%;
}

.main footer {
    width: 100%;
    height: 9rem;
    margin-top: var(--spacer);
    border-radius: var(--card-bd-radius);
    background-color: rgba(233, 241, 244, 0.9);
    backdrop-filter: blur(2rem);
    border: solid 0.1rem rgba(197, 214, 219, 0.2);
    display: flex;
    align-items: center;
}

.section-heading {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 6rem;
}

.section-heading__title {
    flex: 0 0 auto;
    text-transform: uppercase;
}

.section-heading__line {
    border-top: dotted 2px #C5D6DB;
    width: 100%;
    margin: 0 1.5rem;
    margin-bottom: 0.4rem;
}

/* Our story */
.journey-section {
    /* padding-block: 60px; */
}

.timeline-item {
    flex: 0 0 calc(50% - (var(--spacer) / 2));
}

.timeline-content {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.timeline-description {
    margin-bottom: 2.3rem;
}

.timeline-cta {
    margin-top: auto;
}

/* Work */
.work-content {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
}

.work-content__inner {
    flex: 0 0 50%;
}

.work-content__inner--left {
    padding-right: 3rem;
}

/* Price */
.card span.price {
    color: var(--accent);
}

@media (max-width: 1200px) {
    body .wrapper {
        padding: 0;
    }

    #sidebar {
        position: fixed;
        top: 0;
        left: 0;
        height: max-content;
        width: 100%;
        display: flex;
        flex-direction: row;
        width: 100%;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        backdrop-filter: blur(1rem);
        background: #fff;
    }

    .main {
        width: 100%;
        padding-top: 90px;
    }

}

@media (max-width: 767px){
    .timeline-item {
        flex-basis: 100%;
    }

    .work-content__inner {
        flex-basis: 100%;
    }
    
    .work-content__inner--left {
        padding-right: 0;
    }
}